Subject: RE: [Ltru] Re: John Cowan's substantivecommentsondraft-ietf-ltru-registry-01

From: "Addison Phillips" <[email-masked]>
Date: Thu, 7 Apr 2005 13:15:55 -0700

See below.

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Frank Ellermann
> Sent: jeudi 7 avril 2005 12:55
> To: [email-masked]
> Subject: [Ltru] Re: John Cowan's substantivecommentsondraft-ietf-ltru-
> registry-01
> 
> Addison Phillips wrote:
> 
> > I changed the text to follow XML explicitly.
> 
> Why do you use XML 1.0 3rd ed. instead of XML 1.1 ?  I'm only
> curious, <http://www.w3.org/TR/xml11/#dt-charref> is apparently
> the same as <http://www.w3.org/TR/REC-xml/#dt-charref> or your
> <http://www.w3.org/TR/2004/REC-xml-20040204/#dt-charref>

[Addison Phillips] 

No reason, except that XML 1.1 is slightly controversial as XML 1.0 is not. Personally, I support XML 1.1 and would reference it, except that there isn't any real difference. For that matter, we don't have to reference it at all, since we fully describe the format here. The reference I inserted is merely informative and not normative.
> 
> >   COLON (the name/value separator, can remove this
> 
> Get rid of it, header names and header bodies are separated by
> the first colon in a (2)822 header field.
[Addison Phillips] 

Gone.
> 
> >   REVERSE SOLIDUS (the continuation character
> 
> Unnecessary for normal RfC 2822 folding (= FWS minus obs-FWS).
[Addison Phillips] 

I don't personally like the RFC 2822 folding. I'll be guided by consensus on this topic, but as long as the draft includes line wrapping in my preferred style :-) we should escape the continuation character.
> 
> >   PERCENT SIGN (half of an end-of-record character as a
> > courtesy to badly written parsers everywhere: this one can
> > be junked)
> 
> Then junk it, &#x26; is enough.
[Addison Phillips] 

Junked.
> 
> >> As specified in RfC 3987, or are you talking about Martin's
> >> mailto I-D ?  I vaguely recall some unanswered questions
> >> about the latter on the URI list.
> 
> > Yep.
> 
> First part or second part ?  For the second part Martin is the
> expert, I only asked him about some details in his mailto I-D.
> And his Archived-At I-D, some problems to grok 3986 on my side.
[Addison Phillips] 

As specified in 3987. The mailto I-D is new and not fully baked. Never mind, let me plop some text in and we'll review it.
> 
> >> Are angle brackets not good enough, or what is the problem ?
> 
> > RFC 3987 or RFC 3986? Angle brackets are good enough to
> > indicate an IRI.
> 
> If you'd want to enforce an URL you could say <URL:about:blank>
> - but AFAiK that's never necessary for today's URLs, if you're
> not trying to use some very obscure legacy ftp-URLs.  For 3987
> it's simply IDNA + %-encoded UTF-8,  Sorry, I probably miss
> your point.
[Addison Phillips] 

Actually for 3987, it is JUST %-encoded UTF-8. Don't worry about it. I'll write some text and let everyone comment on it. Much more productive.
> 
>  [registration details]
> > Which would you put in and which leave out?
> 
> What Doug has plus an URL to the IANA registration file, e.g.
> URI: <http://www.iana.org/assignments/lang-tags/i-klingon>
> 
> John said that this is only relevant for variants, therfore we
> probably don't need relative URLs to compresss the registry.
[Addison Phillips] 

It isn't relevant for just variants any more. All changes will be forwarded using the process. New assignments of the type 'variant' will have registration forms, but other changes can be requested (prefixes, comments, deprecations, etc.)

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 08 Apr 2005 00:03:02 +0200

Addison Phillips wrote:

> Personally, I support XML 1.1 and would reference it, except
> that there isn't any real difference.

I'd follow my personal preferences until somebody screams, the
"last version" (either XML 1.0 or 1.1) links are also shorter.

> I don't personally like the RFC 2822 folding.

It's a part of the record-jar "like RfC 822" idea.  Line ends
escaped by a backslash are *NIXisms, and beside the point for
a CrLf.

 [registration details]
> It isn't relevant for just variants any more. All changes
> will be forwarded using the process.

But not for 7000+ languages, I hope, only for the expected
about 10 updates per year.  Anyway, after 50 years 500 strings
http://www.iana.org/assignments/lang-tags/ are less than 20 KB,
but 500 * full details within the tag registry could be a pain.

                       Bye, Frank